import { defineConfig } from 'vite';
import laravel from 'laravel-vite-plugin';
import { svelte } from '@sveltejs/vite-plugin-svelte';
import path from "node:path";

export default defineConfig({
	plugins: [
		svelte(),
		laravel({
			input: ['resources/js/app.ts'],
			ssr: 'resources/js/ssr.ts',
			refresh: true
		})
	],
	css: {
		preprocessorOptions: {
			scss: {
				api: 'modern-compiler'
			}
		}
	},
    resolve: {
        alias: [
            {
                find: 'ziggy-js',
                replacement: path.resolve(__dirname, 'vendor/tightenco/ziggy/'),
            },
            {
                find: '@css',
                replacement: path.resolve(__dirname, 'resources/css'),
            },
            {
                find: '@components',
                replacement: path.resolve(__dirname, 'resources/js/Components'),
            }
        ]
    }
});
